using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Odbojka
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();

            long n = Convert.ToInt64(ulaz[0]);
            long a = Convert.ToInt64(ulaz[1]);

            Console.WriteLine("15 17");
            Console.WriteLine("15 17");
            Console.WriteLine("13 15");

        }
    }
}